On Apr 16, 12:35 am, "Eeby" <elektroph... / yahoo.com> wrote:
> I've downloaded a trial of Arachno Ruby and like it a lot. Code
> completion works exceptionally well compared to others I've tried and
> it's a nice looking app. However, I can't get the debugger to work.
> Anybody have any troubleshooting suggestions?
>
> Here's my setup...
>
> Arachno Ruby 0.7.9
> Ruby version downloaded from Arachno Ruby website (Scriptolutions
> Windows 1-click installer)
> Windows XP Pro
>
> Steps I've tried:
>
> Created a project with some code I'd previously written. Set a
> breakpoint. Started the debugger. Execution ran past the breakpoint
> without stopping.
>
> Arachno Ruby works with an alternate Ruby interpreter that enables
> faster debugging.
> I made sure that Arachno is working with that Ruby interpreter. After
> that didn't work, I also tried latest Ruby that I downloaded fromhttp://www.ruby-lang.org/en/downloads/. Got the same result.
>
> I set debugger "enable source file path mapping" and ran it again.
> After that I checked and found that there is nothing listed in
> "debugger file paths". No paths listed.
>
> I tried every possible setting of "debugger quick mode" and "stop on
> first source code line".
>
> Can anyone suggest any other troubleshooting steps to try? Any other
> settings to look at?
>
> I tried posting on the Arachno forum of course, but no answer so far
> so I thought I'd try here.
>
> Any help would be greatly appreciated.
>
> Thanks,
>
> E

I have the same setup that you have.  The problem is that the Archono
Ruby IDE's debugger is one step behind the current version of the Ruby
(should work fine with Ruby 1.8.4).  My understand is that an updated
debugger will not come out until a patch is made for Ruby 1.8.6 which
fixes some critical bugs.

I also tried Archono' one-click installer but it did work quite as
well as the standard one-click installer. I reverted to the standard
one-click installer.

When I run a script a script within the IDE, I get a dialog box
stating that the advanced features of the IDE cannot be used with the
interpreter ( ruby 1.8.6) and ask whether I want to continue.  I take
that this means that debugging is not available.